Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Interface OdeRTInstance

All Known Implementing Classes:
  RuntimeInstanceImpl, RuntimeInstanceImpl

    public interface OdeRTInstance

Nested Class Summary
`static class` | `OdeRTInstance.InvokeResponseType`

Method Summary
`boolean` | `execute()`
`void` | `onCreateInstance(java.lang.String messageExchangeId)` Called when the engine creates an instance (i.e.
`void` | `onInvokeResponse(java.lang.String invokeId, OdeRTInstance.InvokeResponseType irt, java.lang.String mexid)` Called when an invoke received a response.
`void` | `onSelectEvent(java.lang.String selectId, java.lang.String messageExchangeId, int selectorIdx)` Called when the engine detects a matching selector (i.e.
`void` | `onTimerEvent(java.lang.String timerId)` Called when the engine determines that a registered timer is ready to fire.
`void` | `recoverActivity(java.lang.String channel, long activityId, java.lang.String action, FaultInfo fault)`
`java.lang.Object` | `saveState(java.io.OutputStream os)` Save the execution state into the given output stream, and return a cached representation of the state.
`void` | `setContext(OdeRTInstanceContext ctx)` Set the execution context.

Method Detail

### setContext

    void setContext(OdeRTInstanceContext ctx)

  Set the execution context.

  Parameters:
    `ctx` -

### onCreateInstance

    void onCreateInstance(java.lang.String messageExchangeId)

  Called when the engine creates an instance (i.e. a create-instance mex is received).

  Parameters:
    `messageExchangeId` - message exchange id for create-instance mex

### onSelectEvent

    void onSelectEvent(java.lang.String selectId,
                       java.lang.String messageExchangeId,
                       int selectorIdx)

  Called when the engine detects a matching selector (i.e. when a partner invokes the process).

  Parameters:
    `selectId` - selector identifier
    `messageExchangeId` - message exchange identifier
    `selectorIdx` - which selector in the set matched

### onInvokeResponse

    void onInvokeResponse(java.lang.String invokeId,
                          OdeRTInstance.InvokeResponseType irt,
                          java.lang.String mexid)

  Called when an invoke received a response.

  Parameters:
    `invokeId` -
    `mexid` -

### onTimerEvent

    void onTimerEvent(java.lang.String timerId)

  Called when the engine determines that a registered timer is ready to fire.

  Parameters:
    `timerId` -

### execute

    boolean execute()

  Returns:

### recoverActivity

    void recoverActivity(java.lang.String channel,
                         long activityId,
                         java.lang.String action,
                         FaultInfo fault)

  Parameters:
    `channel` -
    `activityId` -
    `action` -

### saveState

    java.lang.Object saveState(java.io.OutputStream os)
                               throws java.io.IOException

  Save the execution state into the given output stream, and return a cached representation of the state. The cached representation will be used by the engine to speed up state recovery (i.e. when de-serializing can be avoided).

  Returns:
    cached
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD